PHP 8 - Firebird-Treiber (ibase_...); für Linux und für Windows

Forum für Fragen rund um Firebird-Software von Drittanbietern.

Moderator: martin.koeditz

Benutzeravatar
martin.koeditz
Beiträge: 374
Registriert: Sa 31. Mär 2018, 14:35

Moin Ira,

ich werde mir das mal über das Wochenende ansehen. Wenn es bereits gefixt wurde, sollte es auch sol bleiben. ;)

Gruß
Martin
Martin Köditz
it & synergy GmbH
itonert
Beiträge: 17
Registriert: Mo 12. Apr 2021, 17:12

Hallo Martin,

hast Du schon was sehen können?
Wir können produktiv nicht auf PHP 8 wechseln, da wir keinen funktionierenden Firebird-Treiber dafür haben.

Beste Grüße,
Ira
Benutzeravatar
martin.koeditz
Beiträge: 374
Registriert: Sa 31. Mär 2018, 14:35

Guten Morgen,

ich bin leider noch nicht dazu gekommen. Bitte noch um etwas Geduld.

Gruß
Martin
Martin Köditz
it & synergy GmbH
itonert
Beiträge: 17
Registriert: Mo 12. Apr 2021, 17:12

Hallo Martin,

kannst Du mir einen Zeithorizont geben? Ich muss das bei uns mit der Technik klären, da wir gern produktiv auf 8er PHP umsteigen möchten.

Beste Grüße,
Ira
Benutzeravatar
martin.koeditz
Beiträge: 374
Registriert: Sa 31. Mär 2018, 14:35

Moin Ira,

wir wollen auch endlich auf PHP 8 umsteigen. Das hing bisher an Ioncube Encoder. Dieser wurde erst vergangene Woche ausgeliefert. Ich habe nächste Woche Urlaub. Dann kann ich mich in jedem Falle um den Treiber kümmern. (Aber auch sonst bin ich käuflich, wenn es brennt. ;) )

Gruß
Martin
Martin Köditz
it & synergy GmbH
itonert
Beiträge: 17
Registriert: Mo 12. Apr 2021, 17:12

Hallo Martin,

so kann ich mich drauf einstellen. In der Woche danach habe ich dann genau 4 Tage noch, um zu compilieren und erste Tests zu machen und hoffe, dann schon mal was in die Technik bei uns geben zu können. Vielleicht liegen ja nur die falschen Sourcen da zum Download, das ist so meine Idee, weil es ja der gleiche Fehler ist, wie der, den ich damals schon gemeldet habe.

Schönen Urlaub Dir, hoffe, dass es nicht so viel Zeit in Anspruch nimmt, diese Sache hier.

Beste Grüße,
Ira
Benutzeravatar
martin.koeditz
Beiträge: 374
Registriert: Sa 31. Mär 2018, 14:35

Hallo Ira,

bitte teste folgende Versionen:
https://github.com/FirebirdSQL/php-fire ... tag/v3.0.0

Diese funktionieren bei mir ohne Probleme unter Windows.

Gruß
Martin
Martin Köditz
it & synergy GmbH
itonert
Beiträge: 17
Registriert: Mo 12. Apr 2021, 17:12

Hallo Martin,

schon mal Danke. Die fertigen DLLs funktionieren bei mir mit PHP 8.1.9., soweit ich das stichprobenartig kurz durchspielen konnte.

Mit den bereitstehenden Sourcen konnte ich das gleiche Ergebnis erzielen, so dass ich das bei uns nun intern weiter geben kann.

3.0.0 klingt super :-)

Vielen lieben Dank.

Beste Grüße,
Ira
Antworten